org.apache.calcite.avatica.proto

## Class Common.Frame.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Common.Frame.Builder>
      - - org.apache.calcite.avatica.proto.Common.Frame.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Common.FrameOrBuilder

Enclosing class:
  Common.Frame

    public static final class Common.Frame.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Common.Frame.Builder>
    implements Common.FrameOrBuilder

     A collection of rows

Protobuf type `Frame`

### Field Summary

Fields
`private int` `bitField0_`
`private boolean` `done_`
`private long` `offset_`
`private List<Common.Row>` `rows_`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.Row,Common.Row.Builder,Common.RowOrBuilder>` `rowsBuilder_`

### Constructor Summary

Constructors
`private` `Common.Frame.Builder()`
`private` `Common.Frame.Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

Methods
`Common.Frame.Builder` `addAllRows(Iterable<? extends Common.Row> values)` `repeated .Row rows = 3;`
`Common.Frame.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.Frame.Builder` `addRows(Common.Row.Builder builderForValue)` `repeated .Row rows = 3;`
`Common.Frame.Builder` `addRows(Common.Row value)` `repeated .Row rows = 3;`
`Common.Frame.Builder` `addRows(int index, Common.Row.Builder builderForValue)` `repeated .Row rows = 3;`
`Common.Frame.Builder` `addRows(int index, Common.Row value)` `repeated .Row rows = 3;`
`Common.Row.Builder` `addRowsBuilder()` `repeated .Row rows = 3;`
`Common.Row.Builder` `addRowsBuilder(int index)` `repeated .Row rows = 3;`
`Common.Frame` `build()`
`Common.Frame` `buildPartial()`
`Common.Frame.Builder` `clear()`
`Common.Frame.Builder` `clearDone()` `optional bool done = 2;`
`Common.Frame.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Common.Frame.Builder` `clearOffset()` `optional uint64 offset = 1;`
`Common.Frame.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Common.Frame.Builder` `clearRows()` `repeated .Row rows = 3;`
`Common.Frame.Builder` `clone()`
`private void` `ensureRowsIsMutable()`
`Common.Frame` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`boolean` `getDone()` `optional bool done = 2;`
`long` `getOffset()` `optional uint64 offset = 1;`
`Common.Row` `getRows(int index)` `repeated .Row rows = 3;`
`Common.Row.Builder` `getRowsBuilder(int index)` `repeated .Row rows = 3;`
`List<Common.Row.Builder>` `getRowsBuilderList()` `repeated .Row rows = 3;`
`int` `getRowsCount()` `repeated .Row rows = 3;`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.Row,Common.Row.Builder,Common.RowOrBuilder>` `getRowsFieldBuilder()`
`List<Common.Row>` `getRowsList()` `repeated .Row rows = 3;`
`Common.RowOrBuilder` `getRowsOrBuilder(int index)` `repeated .Row rows = 3;`
`List<? extends Common.RowOrBuilder>` `getRowsOrBuilderList()` `repeated .Row rows = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Common.Frame.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Common.Frame.Builder` `mergeFrom(Common.Frame other)`
`Common.Frame.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Common.Frame.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.Frame.Builder` `removeRows(int index)` `repeated .Row rows = 3;`
`Common.Frame.Builder` `setDone(boolean value)` `optional bool done = 2;`
`Common.Frame.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.Frame.Builder` `setOffset(long value)` `optional uint64 offset = 1;`
`Common.Frame.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Common.Frame.Builder` `setRows(int index, Common.Row.Builder builderForValue)` `repeated .Row rows = 3;`
`Common.Frame.Builder` `setRows(int index, Common.Row value)` `repeated .Row rows = 3;`
`Common.Frame.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### bitField0_

    private int bitField0_

#### offset_

    private long offset_

#### done_

    private boolean done_

#### rows_

    private List<Common.Row> rows_

#### rowsBuilder_

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.Row,Common.Row.Builder,Common.RowOrBuilder> rowsBuilder_

### Constructor Detail

#### Common.Frame.Builder

    private Common.Frame.Builder()

#### Common.Frame.Builder

    private Common.Frame.Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Frame.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Common.Frame.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Frame.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Frame.Builder>`

#### getDefaultInstanceForType

    public Common.Frame getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Common.Frame build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Common.Frame buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Common.Frame.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Frame.Builder>`

#### setField

    public Common.Frame.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Frame.Builder>`

#### clearField

    public Common.Frame.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Frame.Builder>`

#### clearOneof

    public Common.Frame.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Frame.Builder>`

#### setRepeatedField

    public Common.Frame.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                        int index,
                                        Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Frame.Builder>`

#### addRepeatedField

    public Common.Frame.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                        Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Frame.Builder>`

#### mergeFrom

    public Common.Frame.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.Frame.Builder>`

#### mergeFrom

    public Common.Frame.Builder mergeFrom(Common.Frame other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Frame.Builder>`

#### mergeFrom

    public Common.Frame.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                   throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.Frame.Builder>`
Throws:
  `IOException`

#### getOffset

    public long getOffset()

`optional uint64 offset = 1;`

Specified by:
  `getOffset` in interface `Common.FrameOrBuilder`

#### setOffset

    public Common.Frame.Builder setOffset(long value)

`optional uint64 offset = 1;`

#### clearOffset

    public Common.Frame.Builder clearOffset()

`optional uint64 offset = 1;`

#### getDone

    public boolean getDone()

`optional bool done = 2;`

Specified by:
  `getDone` in interface `Common.FrameOrBuilder`

#### setDone

    public Common.Frame.Builder setDone(boolean value)

`optional bool done = 2;`

#### clearDone

    public Common.Frame.Builder clearDone()

`optional bool done = 2;`

#### ensureRowsIsMutable

    private void ensureRowsIsMutable()

#### getRowsList

    public List<Common.Row> getRowsList()

`repeated .Row rows = 3;`

Specified by:
  `getRowsList` in interface `Common.FrameOrBuilder`

#### getRowsCount

    public int getRowsCount()

`repeated .Row rows = 3;`

Specified by:
  `getRowsCount` in interface `Common.FrameOrBuilder`

#### getRows

    public Common.Row getRows(int index)

`repeated .Row rows = 3;`

Specified by:
  `getRows` in interface `Common.FrameOrBuilder`

#### setRows

    public Common.Frame.Builder setRows(int index,
                               Common.Row value)

`repeated .Row rows = 3;`

#### setRows

    public Common.Frame.Builder setRows(int index,
                               Common.Row.Builder builderForValue)

`repeated .Row rows = 3;`

#### addRows

    public Common.Frame.Builder addRows(Common.Row value)

`repeated .Row rows = 3;`

#### addRows

    public Common.Frame.Builder addRows(int index,
                               Common.Row value)

`repeated .Row rows = 3;`

#### addRows

    public Common.Frame.Builder addRows(Common.Row.Builder builderForValue)

`repeated .Row rows = 3;`

#### addRows

    public Common.Frame.Builder addRows(int index,
                               Common.Row.Builder builderForValue)

`repeated .Row rows = 3;`

#### addAllRows

    public Common.Frame.Builder addAllRows(Iterable<? extends Common.Row> values)

`repeated .Row rows = 3;`

#### clearRows

    public Common.Frame.Builder clearRows()

`repeated .Row rows = 3;`

#### removeRows

    public Common.Frame.Builder removeRows(int index)

`repeated .Row rows = 3;`

#### getRowsBuilder

    public Common.Row.Builder getRowsBuilder(int index)

`repeated .Row rows = 3;`

#### getRowsOrBuilder

    public Common.RowOrBuilder getRowsOrBuilder(int index)

`repeated .Row rows = 3;`

Specified by:
  `getRowsOrBuilder` in interface `Common.FrameOrBuilder`

#### getRowsOrBuilderList

    public List<? extends Common.RowOrBuilder> getRowsOrBuilderList()

`repeated .Row rows = 3;`

Specified by:
  `getRowsOrBuilderList` in interface `Common.FrameOrBuilder`

#### addRowsBuilder

    public Common.Row.Builder addRowsBuilder()

`repeated .Row rows = 3;`

#### addRowsBuilder

    public Common.Row.Builder addRowsBuilder(int index)

`repeated .Row rows = 3;`

#### getRowsBuilderList

    public List<Common.Row.Builder> getRowsBuilderList()

`repeated .Row rows = 3;`

#### getRowsFieldBuilder

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.Row,Common.Row.Builder,Common.RowOrBuilder> getRowsFieldBuilder()

#### setUnknownFields

    public final Common.Frame.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Frame.Builder>`

#### mergeUnknownFields

    public final Common.Frame.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.Frame.Builder>`